Public Member Functions
com.ugrokit.api.UgiTagReadState Class Reference

## Overview

The moment-in-time read state of a tag.

This object is immutable.

## Public Member Functions
UgiTag | getTag ()
| Tag this state is associated with this TagReadState. More...
Date | getTimestamp ()
| When this state was created. More...
boolean | isVisible ()
| Is the tag currently visible? More...
int | getTotalReads ()
| Total number of reads (since inventory started) More...
Date | getMostRecentRead ()
| When this tag was most recently read. More...
double | getMostRecentRssiI ()
| Most recent RSSI value, I channel. More...
double | getMostRecentRssiQ ()
| Most recent RSSI value, Q channel. More...
int [] | getReadHistory ()
| Get the read history. More...
String | toString ()
| Get a description of the tag, generally for debugging. More...
String | getReadHistoryString ()
| Get a string representing the read history of the tag, generally for debugging. More...

## Member Function Documentation

## ◆ getTag()

UgiTag com.ugrokit.api.UgiTagReadState.getTag | ( |  | ) |

Tag this state is associated with this TagReadState.

Returns
  Tag

## ◆ getTimestamp()

Date com.ugrokit.api.UgiTagReadState.getTimestamp | ( |  | ) |

When this state was created.

Returns
  Date

## ◆ isVisible()

boolean com.ugrokit.api.UgiTagReadState.isVisible | ( |  | ) |

Is the tag currently visible?

Returns
  true if this tag is currently visible

## ◆ getTotalReads()

int com.ugrokit.api.UgiTagReadState.getTotalReads | ( |  | ) |

Total number of reads (since inventory started)

Returns
  Total number of reads (since inventory started)

## ◆ getMostRecentRead()

Date com.ugrokit.api.UgiTagReadState.getMostRecentRead | ( |  | ) |

When this tag was most recently read.

Returns
  When this tag was most recently read

## ◆ getMostRecentRssiI()

double com.ugrokit.api.UgiTagReadState.getMostRecentRssiI | ( |  | ) |

Most recent RSSI value, I channel.

Returns
  Most recent RSSI value

## ◆ getMostRecentRssiQ()

double com.ugrokit.api.UgiTagReadState.getMostRecentRssiQ | ( |  | ) |

Most recent RSSI value, Q channel.

Returns
  Most recent RSSI value

## ◆ getReadHistory()

int [] com.ugrokit.api.UgiTagReadState.getReadHistory | ( |  | ) |

Get the read history.

Returns
  Read history

## ◆ toString()

String com.ugrokit.api.UgiTagReadState.toString | ( |  | ) |

Get a description of the tag, generally for debugging.

Returns
  string description

## ◆ getReadHistoryString()

String com.ugrokit.api.UgiTagReadState.getReadHistoryString | ( |  | ) |

Get a string representing the read history of the tag, generally for debugging.

Returns
  Read history of the tag